"""Choice variables used by Societies"""

BLOODGROUPS = [
    (0, "Unspecified"),
    (1, "A+"),
    (2, "A-"),
    (3, "B+"),
    (4, "B-"),
    (5, "O+"),
    (6, "O-"),
    (7, "AB+"),
    (8, "AB-"),
]

EVENT_PROOFS = [
    (0, "Unspecified"),
    (1, "Certificate"),
    (2, "Letter"),
    (3, "Receipt"),
    (4, "Poster/Card"),
]

EVENT_TYPES = [
    (0, "Unspecified"),
    (1, "Birthday"),
    (2, "Graduation"),
    (3, "Award"),
    (4, "Certification"),
    (5, "Marriage"),
    (6, "Appointment"),
    (7, "Election"),
    (8, "Travel"),
    (9, "Accident"),
    (10, "Examination"),
    (11, "Anniversary"),
    (12, "Admission"),
    (13, "Promotion"),
    (14, "Resignation"),
    (15, "Transfer"),
    (16, "Vacation"),
    (17, "Illness"),
    (18, "Deferment"),
    (20, "Suspension"),
    (21, "Expulsion"),
    (22, "Assault"),
    (23, "Excursion"),
    (24, "Faculty Week"),
    (25, "Student-Body Week"),
    (26, "Conference"),
    (27, "Meeting"),
    (28, "Education/Study"),
]

GENOTYPES = [
    (0, "Unspecified"),
    (1, "AA"),
    (2, "AS"),
    (3, "AC"),
    (4, "SS"),
    (5, "SC"),
    (6, "CC"),
]

HONORIFICS = [
    ("Master", "Master"),
    ("Mr", "Mister"),
    ("Ms", "Miss"),
    ("Mrs", "Missus"),
    ("Mx", "Mx"),
    ("Sir", "Sir"),
    ("Sire", "Sire"),
    ("Ma'am", "Madam"),
    ("Dame", "Dame"),
    ("Lord", "Lord"),
    ("Lady", "Lady"),
    ("Esq", "Esquire"),
    ("Hon.", "Honorable"),
    ("Excellency", "Excellency"),
    ("Rt Hon.", "The Right Honorable"),
    ("Dr", "Doctor"),
    ("Prof", "Professor"),
    ("Arc.", "Architect"),
    ("Bldr.", "Builder"),
    ("Engr.", "Engineer"),
    ("Rev.", "Reverend"),
    ("Chief", "Chief"),
    ("H.R.H. Igwe", "His Royal Highness"),
    ("Surv.", "Surveyor"),
    ("Mr & Mrs", "Mister and Missus"),
    ("Elder", "Elder"),
    ("Ven.", "Venerable"),
    ("Bishop", "Bishop"),
    ("Pastor", "Pastor"),
    ("Barr.", "Barrister"),
    ("Hon. Barr.", "Honorable Barrister"),
    ("High Chief", "High Chief"),
]

JOBS = [
    (0, "Unspecified",),
    (1, "Academic",),
    (2, "Account Executive",),
    (3, "Account Manager",),
    (4, "Accountant",),
    (5, "Accounts Assistant",),
    (6, "Administrator",),
    (7, "Analyst",),
    (8, "Architect",),
    (9, "Army, Soldier, Military",),
    (10, "Artist",),
    (11, "Area Manager",),
    (12, "Assistant",),
    (13, "Assistant Accountant",),
    (14, "Assistant Manager",),
    (15, "Associate",),
    (16, "Auditor",),
    (17, "Banker",),
    (18, "Barrister",),
    (19, "Branch Manager",),
    (20, "Botanist",),
    (21, "Builder",),
    (22, "Business Analyst",),
    (23, "Business Development Manager",),
    (24, "Buyer",),
    (25, "CEO",),
    (26, "Civil Servant",),
    (27, "Commercial Manager",),
    (28, "Contractor",),
    (29, "Construction Worker",),
    (30, "Consultant",),
    (31, "Credit Controller",),
    (32, "Dentist",),
    (33, "Design Engineer",),
    (34, "Designer",),
    (35, "Developer",),
    (36, "Diplomat",),
    (37, "Director",),
    (38, "Doctor",),
    (39, "Driver",),
    (40, "Editor",),
    (41, "Electrician",),
    (42, "Engineer",),
    (43, "Estimator",),
    (44, "Executive Assistant",),
    (45, "Farmer",),
    (46, "Fashion Designer",),
    (47, "Finance Director",),
    (48, "Finance Manager",),
    (49, "Financial Analyst",),
    (50, "Financial Controller",),
    (51, "General Manager",),
    (52, "Graduate",),
    (53, "Graphic Designer",),
    (54, "Hair Dresser",),
    (55, "HR Administrator",),
    (56, "HR Advisor",),
    (57, "HR Manager",),
    (58, "IT Manager",),
    (59, "Investor",),
    (60, "Lawyer",),
    (61, "Lecturer",),
    (62, "Management Accountant",),
    (63, "Manager",),
    (64, "Managing Director",),
    (65, "Marketing Assistant",),
    (66, "Marketing Director",),
    (67, "Marketing Executive",),
    (68, "Marketing Manager",),
    (69, "Mechanical Engineer",),
    (70, "Nurse",),
    (71, "Office Manager",),
    (72, "Operations Director",),
    (73, "Operations Manager",),
    (74, "Orthodontist",),
    (75, "PA",),
    (76, "Personal Assistant",),
    (77, "Pharmacist",),
    (78, "Pilot",),
    (79, "Plumber",),
    (80, "Police",),
    (81, "Politician",),
    (82, "Product Manager",),
    (83, "Production Manager",),
    (84, "Programme Manager",),
    (85, "Programmer",),
    (86, "Project Engineer",),
    (87, "Project Manager",),
    (88, "Psychologist",),
    (89, "Quantity Surveyor",),
    (90, "Receptionist",),
    (91, "Recruitment Consultant",),
    (92, "Researcher",),
    (93, "Sales",),
    (94, "Sales Assistant",),
    (95, "Sales Director",),
    (96, "Sales Executive",),
    (97, "Sales Manager",),
    (98, "Scientist",),
    (99, "Secretary",),
    (100, "Security Personnel",),
    (101, "Self-Employed",),
    (102, "Senior Consultant",),
    (103, "Senior Engineer",),
    (104, "Senior Manager",),
    (105, "Social Worker",),
    (106, "Software Developer",),
    (107, "Software Engineer",),
    (108, "Solicitor",),
    (109, "Store Manager",),
    (110, "Student",),
    (111, "Supervisor",),
    (112, "Surgeon",),
    (113, "Tailor",),
    (114, "Teacher",),
    (115, "Team Leader",),
    (116, "Technical Manager",),
    (117, "Technician",),
    (118, "Therapist",),
    (119, "Trader",),
    (120, "Trainer",),
    (121, "Unemployed",),
    (122, "Vice President",),
    (123, "Web Designer",),
    (124, "Web Developer",),
    (125, "Zoologist",),
]

LOCATION_COUNTRIES = [
    ("AF", "Afghanistan"),
    ("AX", "Aland Islands"),
    ("AL", "Albania"),
    ("DZ", "Algeria"),
    ("AS", "American Samoa"),
    ("AD", "Andorra"),
    ("AO", "Angola"),
    ("AI", "Anguilla"),
    ("AQ", "Antarctica"),
    ("AG", "Antigua And Barbuda"),
    ("AR", "Argentina"),
    ("AM", "Armenia"),
    ("AW", "Aruba"),
    ("AU", "Australia"),
    ("AT", "Austria"),
    ("AZ", "Azerbaijan"),
    ("BH", "Bahrain"),
    ("BD", "Bangladesh"),
    ("BB", "Barbados"),
    ("BY", "Belarus"),
    ("BE", "Belgium"),
    ("BZ", "Belize"),
    ("BJ", "Benin"),
    ("BM", "Bermuda"),
    ("BT", "Bhutan"),
    ("BO", "Bolivia"),
    ("BQ", "Bonaire, Sint Eustatius and Saba"),
    ("BA", "Bosnia and Herzegovina"),
    ("BW", "Botswana"),
    ("BV", "Bouvet Island"),
    ("BR", "Brazil"),
    ("IO", "British Indian Ocean Territory"),
    ("BN", "Brunei"),
    ("BG", "Bulgaria"),
    ("BF", "Burkina Faso"),
    ("BI", "Burundi"),
    ("KH", "Cambodia"),
    ("CM", "Cameroon"),
    ("CA", "Canada"),
    ("CV", "Cape Verde"),
    ("KY", "Cayman Islands"),
    ("CF", "Central African Republic"),
    ("TD", "Chad"),
    ("CL", "Chile"),
    ("CN", "China"),
    ("CX", "Christmas Island"),
    ("CC", "Cocos (Keeling) Islands"),
    ("CO", "Colombia"),
    ("KM", "Comoros"),
    ("CG", "Congo"),
    ("CK", "Cook Islands"),
    ("CR", "Costa Rica"),
    ("CI", "Cote D'Ivoire (Ivory Coast)"),
    ("HR", "Croatia"),
    ("CU", "Cuba"),
    ("CW", "Curaçao"),
    ("CY", "Cyprus"),
    ("CZ", "Czech Republic"),
    ("CD", "Democratic Republic of the Congo"),
    ("DK", "Denmark"),
    ("DJ", "Djibouti"),
    ("DM", "Dominica"),
    ("DO", "Dominican Republic"),
    ("TL", "East Timor"),
    ("EC", "Ecuador"),
    ("EG", "Egypt"),
    ("SV", "El Salvador"),
    ("GQ", "Equatorial Guinea"),
    ("ER", "Eritrea"),
    ("EE", "Estonia"),
    ("ET", "Ethiopia"),
    ("FK", "Falkland Islands"),
    ("FO", "Faroe Islands"),
    ("FJ", "Fiji Islands"),
    ("FI", "Finland"),
    ("FR", "France"),
    ("GF", "French Guiana"),
    ("PF", "French Polynesia"),
    ("TF", "French Southern Territories"),
    ("GA", "Gabon"),
    ("GM", "Gambia The"),
    ("GE", "Georgia"),
    ("DE", "Germany"),
    ("GH", "Ghana"),
    ("GI", "Gibraltar"),
    ("GR", "Greece"),
    ("GL", "Greenland"),
    ("GD", "Grenada"),
    ("GP", "Guadeloupe"),
    ("GU", "Guam"),
    ("GT", "Guatemala"),
    ("GG", "Guernsey and Alderney"),
    ("GN", "Guinea"),
    ("GW", "Guinea-Bissau"),
    ("GY", "Guyana"),
    ("HT", "Haiti"),
    ("HM", "Heard Island and McDonald Islands"),
    ("HN", "Honduras"),
    ("HK", "Hong Kong S.A.R."),
    ("HU", "Hungary"),
    ("IS", "Iceland"),
    ("IN", "India"),
    ("ID", "Indonesia"),
    ("IR", "Iran"),
    ("IQ", "Iraq"),
    ("IE", "Ireland"),
    ("IL", "Israel"),
    ("IT", "Italy"),
    ("JM", "Jamaica"),
    ("JP", "Japan"),
    ("JE", "Jersey"),
    ("JO", "Jordan"),
    ("KZ", "Kazakhstan"),
    ("KE", "Kenya"),
    ("KI", "Kiribati"),
    ("XK", "Kosovo"),
    ("KW", "Kuwait"),
    ("KG", "Kyrgyzstan"),
    ("LA", "Laos"),
    ("LV", "Latvia"),
    ("LB", "Lebanon"),
    ("LS", "Lesotho"),
    ("LR", "Liberia"),
    ("LY", "Libya"),
    ("LI", "Liechtenstein"),
    ("LT", "Lithuania"),
    ("LU", "Luxembourg"),
    ("MO", "Macau S.A.R."),
    ("MG", "Madagascar"),
    ("MW", "Malawi"),
    ("MY", "Malaysia"),
    ("MV", "Maldives"),
    ("ML", "Mali"),
    ("MT", "Malta"),
    ("IM", "Man (Isle of)"),
    ("MH", "Marshall Islands"),
    ("MQ", "Martinique"),
    ("MR", "Mauritania"),
    ("MU", "Mauritius"),
    ("YT", "Mayotte"),
    ("MX", "Mexico"),
    ("FM", "Micronesia"),
    ("MD", "Moldova"),
    ("MC", "Monaco"),
    ("MN", "Mongolia"),
    ("ME", "Montenegro"),
    ("MS", "Montserrat"),
    ("MA", "Morocco"),
    ("MZ", "Mozambique"),
    ("MM", "Myanmar"),
    ("NA", "Namibia"),
    ("NR", "Nauru"),
    ("NP", "Nepal"),
    ("NL", "Netherlands"),
    ("NC", "New Caledonia"),
    ("NZ", "New Zealand"),
    ("NI", "Nicaragua"),
    ("NE", "Niger"),
    ("NG", "Nigeria"),
    ("NU", "Niue"),
    ("NF", "Norfolk Island"),
    ("KP", "North Korea"),
    ("MK", "North Macedonia"),
    ("MP", "Northern Mariana Islands"),
    ("NO", "Norway"),
    ("OM", "Oman"),
    ("PK", "Pakistan"),
    ("PW", "Palau"),
    ("PS", "Palestinian Territory Occupied"),
    ("PA", "Panama"),
    ("PG", "Papua new Guinea"),
    ("PY", "Paraguay"),
    ("PE", "Peru"),
    ("PH", "Philippines"),
    ("PN", "Pitcairn Island"),
    ("PL", "Poland"),
    ("PT", "Portugal"),
    ("PR", "Puerto Rico"),
    ("QA", "Qatar"),
    ("RE", "Reunion"),
    ("RO", "Romania"),
    ("RU", "Russia"),
    ("RW", "Rwanda"),
    ("SH", "Saint Helena"),
    ("KN", "Saint Kitts And Nevis"),
    ("LC", "Saint Lucia"),
    ("PM", "Saint Pierre and Miquelon"),
    ("VC", "Saint Vincent And The Grenadines"),
    ("BL", "Saint-Barthelemy"),
    ("MF", "Saint-Martin (French part)"),
    ("WS", "Samoa"),
    ("SM", "San Marino"),
    ("ST", "Sao Tome and Principe"),
    ("SA", "Saudi Arabia"),
    ("SN", "Senegal"),
    ("RS", "Serbia"),
    ("SC", "Seychelles"),
    ("SL", "Sierra Leone"),
    ("SG", "Singapore"),
    ("SX", "Sint Maarten (Dutch part)"),
    ("SK", "Slovakia"),
    ("SI", "Slovenia"),
    ("SB", "Solomon Islands"),
    ("SO", "Somalia"),
    ("ZA", "South Africa"),
    ("GS", "South Georgia"),
    ("KR", "South Korea"),
    ("SS", "South Sudan"),
    ("ES", "Spain"),
    ("LK", "Sri Lanka"),
    ("SD", "Sudan"),
    ("SR", "Suriname"),
    ("SJ", "Svalbard And Jan Mayen Islands"),
    ("SZ", "Swaziland"),
    ("SE", "Sweden"),
    ("CH", "Switzerland"),
    ("SY", "Syria"),
    ("TW", "Taiwan"),
    ("TJ", "Tajikistan"),
    ("TZ", "Tanzania"),
    ("TH", "Thailand"),
    ("BS", "The Bahamas"),
    ("TG", "Togo"),
    ("TK", "Tokelau"),
    ("TO", "Tonga"),
    ("TT", "Trinidad And Tobago"),
    ("TN", "Tunisia"),
    ("TR", "Turkey"),
    ("TM", "Turkmenistan"),
    ("TC", "Turks And Caicos Islands"),
    ("TV", "Tuvalu"),
    ("UG", "Uganda"),
    ("UA", "Ukraine"),
    ("AE", "United Arab Emirates"),
    ("GB", "United Kingdom"),
    ("US", "United States"),
    ("UM", "United States Minor Outlying Islands"),
    ("UY", "Uruguay"),
    ("UZ", "Uzbekistan"),
    ("VU", "Vanuatu"),
    ("VA", "Vatican City State (Holy See)"),
    ("VE", "Venezuela"),
    ("VN", "Vietnam"),
    ("VG", "Virgin Islands (British)"),
    ("VI", "Virgin Islands (US)"),
    ("WF", "Wallis And Futuna Islands"),
    ("EH", "Western Sahara"),
    ("YE", "Yemen"),
    ("ZM", "Zambia"),
    ("ZW", "Zimbabwe"),
]

LOCATION_TYPES = [
    (1, "Home"),
    (2, "Work"),
    (3, "Permanent"),
    (4, "Mobile"),
    (5, "Emergency"),
    (6, "Origin"),
    (7, "Other"),
]

MARITALSTATUS = [
    (1, "Single"),
    (2, "Married"),
]

RELIGIONS = [
    (0, "Unspecified"),
    (1, "African Diaspora Religions"),
    (2, "Atheism/Agnosticism"),
    (3, "Bahá’í"),
    (4, "Buddhism"),
    (5, "Christianity"),
    (6, "Confucianism"),
    (7, "Druze"),
    (8, "Gnosticism"),
    (9, "Hinduism"),
    (10, "Indigenous American Religions"),
    (11, "Islam"),
    (12, "Jainism"),
    (13, "Judaism"),
    (14, "Rastafarianism"),
    (15, "Shinto"),
    (16, "Sikhism"),
    (17, "Traditional African Religions"),
    (18, "Zoroastrianism"),
]

SEXES = [
    (0, "Unspecified"),
    (1, "Male"),
    (2, "Female"),
]

TIES = [
    (0, "Unspecified"),
    (1, "Father"),
    (2, "Mother"),
    (3, "Brother"),
    (4, "Sister"),
    (5, "Cousin"),
    (6, "Nephew"),
    (7, "Niece"),
    (8, "Uncle"),
    (9, "Aunt"),
    (10, "Parent"),
    (11, "Father-in-Law"),
    (12, "Mother-in-Law"),
    (13, "Son-in-Law"),
    (14, "Daughter-in-Law"),
    (15, "Brother-in-Law"),
    (16, "Sister-in-Law"),
    (17, "Husband"),
    (18, "Wife"),
    (19, "Spouse"),
    (20, "Son"),
    (21, "Daughter"),
    (22, "Self"),
    (23, "Pastor"),
    (24, "Priest"),
    (25, "Local Ordinary"),
    (26, "Employer"),
    (27, "Non-Profit Organization"),
    (28, "Corporate Sponsor"),
    (29, "Group Sponsor"),
]
